#!/bin/bash

    echo $#
    if [ $# -ne 1 ]; then
        echo "usage: $0 [kernel-release]"
	echo "example: $0 3.2.48-100"
        exit 1
    fi
    KERNEL_RELEASE=$1
    echo "update-initramfs -c -k ${KERNEL_RELEASE}..."
    update-initramfs -c -k ${KERNEL_RELEASE}
    echo "mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n "ubuntu-precise-${KERNEL_RELEASE}" -d /boot/initrd.img-${KERNEL_RELEASE} /boot/uInitrd-${KERNEL_RELEASE}..."

    mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n "ubuntu-precise-${KERNEL_RELEASE}" -d /boot/initrd.img-${KERNEL_RELEASE} /boot/uInitrd-${KERNEL_RELEASE}



